# Copyright 2020 Red Hat, Inc.
# All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

GLOBAL_IP = '1.1.1.1'
METADATA_SERVICE_IP = '169.254.169.254'
OVN_MAX_GW_PORTS_PER_ROUTER = 5
NEUTRON_CONF = {
    'devstack': '/etc/neutron/neutron.conf',
    'podified': '/etc/neutron/neutron.conf.d/01-neutron.conf'}
NCAT_PORT = 65000
NCAT_TIMEOUT = 30
IP_HEADER_LENGTH = 20
TCP_HEADER_LENGTH = 20
UDP_HEADER_LENGTH = 8
ETHERNET_HEADER_LENGTH = 18
STATE_UP = 'up'
STATE_DOWN = 'down'
ACTION_STOP = 'stop'
ACTION_START = 'start'
DHCP_OPTIONS_NMCLI_TO_NEUTRON = {
    'dhcp_lease_time': 'lease-time',
    'domain_name': 'domain-name',
    'domain_name_servers': 'dns-server',
    'interface_mtu': 'mtu',
    'dhcp6_domain_search': 'domain-search',
    'dhcp6_name_servers': 'dns-server'}
DHCP_OPTIONS_NUMBER_TO_NAME = {
    '26': 'mtu'}
DHCP_OPTIONS_NEUTRON_TO_OVN = {
    'domain-name': 'domain_name',
    'mtu': 'mtu',
    'dns-server': 'dns_server',
    'lease-time': 'lease_time',
    'domain-search': 'domain_search',
    '26': 'mtu'}
